<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.scytl</groupId>
    <artifactId>maven-generic-conf</artifactId>
    <packaging>pom</packaging>
    <version>1.5.6</version>
    <url>https://scm.scytl.net/stash/projects/AUT/repos/maven-generic-conf/browse</url>
    <name>Scytl Super POM</name>
    <description>This is the global configuration of the projects of Scytl using maven as a build tool.</description>
    <issueManagement>
        <system>Redmine</system>
        <url>https://redmine01.scytl.net/</url>
    </issueManagement>
    <ciManagement>
        <system>Jenkins</system>
        <url>https://jenkins.scytl.net/job/${productId}/</url>
    </ciManagement>
    <inceptionYear>2003</inceptionYear>
    <properties>
        <organization.logo>http://www.scytl.com/wp-content/themes/scytl/lib/img/logo2.png</organization.logo>
        <productId>${project.artifactId}</productId>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <build.version>${project.version} (${user.name} r${buildNumber} ${timestamp})</build.version>
        <build.tag>${env.BUILD_TAG}</build.tag>
        <maven.compiler.source>1.5</maven.compiler.source>
        <maven.compiler.target>1.5</maven.compiler.target>
        <sonar.java.source>${maven.compiler.source}</sonar.java.source>
        <sonar.java.target>${maven.compiler.target}</sonar.java.target>
        <targetJdk>${maven.compiler.target}</targetJdk>
        <sonar.core.codeCoveragePlugin>jacoco</sonar.core.codeCoveragePlugin>
        <sonar.dynamicAnalysis>reuseReports</sonar.dynamicAnalysis>
        <args>-Xmx256m</args>
        <argLine>${args}</argLine>
    </properties>

    <scm>
        <connection>scm:git:ssh://git@scm.scytl.net:7999/aut/maven-generic-conf.git</connection>
        <developerConnection>scm:git:ssh://git@scm.scytl.net:7999/aut/maven-generic-conf.git</developerConnection>
        <url>https://scm.scytl.net/stash/projects/AUT/repos/maven-generic-conf/browse</url>
      <tag>maven-generic-conf-1.5.6</tag>
  </scm>

    <organization>
        <name>Scytl Secure Electronic Voting</name>
        <url>http://www.scytl.com/</url>
    </organization>
    <build>
        <pluginManagement>
            <plugins>
                <!-- org.apache.maven.plugins -->
                <plugin>
                    <artifactId>maven-clean-plugin</artifactId>
                    <version>2.5</version>
                </plugin>
                <plugin>
                    <artifactId>maven-install-plugin</artifactId>
                    <version>2.3.1</version>
                </plugin>
                <plugin>
                    <artifactId>maven-deploy-plugin</artifactId>
                    <version>2.7</version>
                </plugin>
                <plugin>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>2.5.1</version>
                </plugin>
                <plugin>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <version>2.4</version>
                </plugin>
                <plugin>
                    <artifactId>maven-jarsigner-plugin</artifactId>
                    <version>1.2</version>
                </plugin>
                <plugin>
                    <artifactId>maven-assembly-plugin</artifactId>
                    <version>2.3</version>
                </plugin>
                <plugin>
                    <artifactId>maven-failsafe-plugin</artifactId>
                    <version>2.12</version>
                </plugin>
                <plugin>
                    <artifactId>maven-antrun-plugin</artifactId>
                    <version>1.7</version>
                </plugin>
                <plugin>
                    <artifactId>maven-shade-plugin</artifactId>
                    <version>1.7.1</version>
                </plugin>
                <plugin>
                    <artifactId>maven-scm-plugin</artifactId>
                    <version>1.9.5</version>
                    <configuration>
                       <tag>${project.artifactId}-${project.version}</tag>
                   </configuration>
               </plugin>
                <!-- org.codehaus.mojo -->
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>appassembler-maven-plugin</artifactId>
                    <version>1.2.2</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>hibernate3-maven-plugin</artifactId>
                    <version>2.2</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>exec-maven-plugin</artifactId>
                    <version>1.2.1</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.gmaven</groupId>
                    <artifactId>gmaven-plugin</artifactId>
                    <version>1.4</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.izpack</groupId>
                    <artifactId>izpack-maven-plugin</artifactId>
                    <version>5.0.0-beta10</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>build-helper-maven-plugin</artifactId>
                    <version>1.7</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>jasperreports-maven-plugin</artifactId>
                    <version>1.0-beta-2</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>rpm-maven-plugin</artifactId>
                    <version>2.1-alpha-1</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>versions-maven-plugin</artifactId>
                    <version>2.3</version>
                </plugin>
                <!-- various -->
                <plugin>
                    <groupId>org.mortbay.jetty</groupId>
                    <artifactId>jetty-maven-plugin</artifactId>
                    <version>8.1.14.v20131031</version>
                </plugin>
                <plugin>
                    <!-- DEPRECATED! Should be renamed to jetty-maven-plugin -->
                    <groupId>org.mortbay.jetty</groupId>
                    <artifactId>maven-jetty-plugin</artifactId>
                    <version>6.1.26</version>
                </plugin>
                <plugin>
                    <groupId>com.pyx4me</groupId>
                    <artifactId>proguard-maven-plugin</artifactId>
                    <version>2.0.4</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.activemq.tooling</groupId>
                    <artifactId>maven-activemq-plugin</artifactId>
                    <version>5.6.0</version>
                </plugin>
                <plugin>
                    <groupId>net.alchim31.maven</groupId>
                    <artifactId>yuicompressor-maven-plugin</artifactId>
                    <version>1.3.0</version>
                </plugin>
                <plugin>
                    <groupId>com.scytl.jmeter</groupId>
                    <artifactId>maven-jmeter-plugin</artifactId>
                    <version>1.8</version>
                </plugin>
                <plugin>
                    <groupId>org.bluestemsoftware.open.maven.plugin</groupId>
                    <artifactId>launch4j-plugin</artifactId>
                    <version>1.5.0.0</version>
                </plugin>
                <plugin>
                    <groupId>com.mycila.maven-license-plugin</groupId>
                    <artifactId>maven-license-plugin</artifactId>
                    <version>1.10.b1</version>
                </plugin>
                <plugin>
                    <artifactId>maven-site-plugin</artifactId>
                    <version>3.1</version>
                    <dependencies>
                        <dependency>
                            <groupId>org.apache.maven.wagon</groupId>
                            <artifactId>wagon-webdav-jackrabbit</artifactId>
                            <version>1.0-beta-6</version>
                        </dependency>
                    </dependencies>
                </plugin>
                <plugin>
                    <artifactId>maven-checkstyle-plugin</artifactId>
                    <version>2.9.1</version>
                    <dependencies>
                        <dependency>
                            <groupId>com.scytl.checkstyle</groupId>
                            <artifactId>checkstyle-config</artifactId>
                            <version>1.0.1</version>
                        </dependency>
                    </dependencies>
                    <configuration>
                        <aggregate>true</aggregate>
                        <configLocation>com/scytl/checkstyle/scytl_checkstyle.xml</configLocation>
                        <includeTestSourceDirectory>true</includeTestSourceDirectory>
                    </configuration>
                </plugin>
                <plugin>
                  <artifactId>maven-project-info-reports-plugin</artifactId>
                  <version>2.6</version>
                </plugin>
                <plugin>
                  <artifactId>maven-source-plugin</artifactId>
                  <version>2.2.1</version>
                </plugin>
                <plugin>
                  <artifactId>maven-javadoc-plugin</artifactId>
                  <version>2.9</version>
                </plugin>
                <plugin>
                  <artifactId>maven-surefire-plugin</artifactId>
                  <version>2.17</version>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.5</version>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>cobertura-maven-plugin</artifactId>
                <version>2.5.1</version>
                <configuration>
                    <formats>
                        <format>xml</format>
                        <!-- if you still want the HTML reports just add another format entry with html as the value -->
                    </formats>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <systemProperties>
                        <property>
                            <name>net.sourceforge.cobertura.datafile</name>
                            <value>target/cobertura/cobertura.ser</value>
                        </property>
                    </systemProperties>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-release-plugin</artifactId>
                <version>2.5.1</version>
                <configuration>
                    <arguments>-Drelease</arguments>
                    <preparationGoals>clean verify</preparationGoals>
                    <checkModificationExcludes>
                        <checkModificationExclude>.Xauthority-*</checkModificationExclude>
                    </checkModificationExcludes>
                    <goals>deploy</goals>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.scm</groupId>
                        <artifactId>maven-scm-provider-gitexe</artifactId>
                        <version>1.8.1</version>
                    </dependency>
                </dependencies>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>findbugs-maven-plugin</artifactId>
                <version>2.5.1</version>
                <configuration>
                    <findbugsXmlOutput>true</findbugsXmlOutput>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>buildnumber-maven-plugin</artifactId>
                <version>1.2</version>
                <executions>
                    <execution>
                        <phase>validate</phase>
                        <goals>
                            <goal>create</goal>
                        </goals>
                        <configuration>
                            <revisionOnScmFailure>NOREV</revisionOnScmFailure>
                            <getRevisionOnlyOnce>true</getRevisionOnlyOnce>
                            <providerImplementations>
                                <svn>javasvn</svn>
                            </providerImplementations>
                            <timestampFormat>{0,date,yyyy-MM-dd HH:mm:ss}</timestampFormat>
                            <items>
                                <item>timestamp</item>
                            </items>
                            <shortRevisionLength>7</shortRevisionLength>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
                <configuration>
                    <archive>
                        <manifest>
                            <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
                        </manifest>
                        <manifestEntries>
                            <Implementation-Version>${build.version}</Implementation-Version>
                            <Implementation-Build>${timestamp}</Implementation-Build>
                            <SCM-Revision>${buildNumber}</SCM-Revision>
                            <Build-Tag>${build.tag}</Build-Tag>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-war-plugin</artifactId>
                <version>2.2</version>
                <configuration>
                    <archive>
                        <manifest>
                            <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
                        </manifest>
                        <manifestEntries>
                            <Implementation-Version>${build.version}</Implementation-Version>
                            <Implementation-Build>${timestamp}</Implementation-Build>
                            <SCM-Revision>${buildNumber}</SCM-Revision>
                            <Build-Tag>${build.tag}</Build-Tag>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <profiles>
        <profile>
          <id>jacoco</id>
          <activation>
            <property>
              <name>activate-ci</name>
            </property>
          </activation>
          <build>
            <plugins>
            <plugin>
              <groupId>org.jacoco</groupId>
              <artifactId>jacoco-maven-plugin</artifactId>
              <version>0.7.3.201502191951</version>
              <executions>
                <execution>
                  <id>prepare-agent</id>
                  <goals>
                    <goal>prepare-agent</goal>
			  </goals>
			</execution>
              </executions>
              <configuration>
                <propertyName>argLinePrepend</propertyName>
              </configuration>
            </plugin>
            </plugins>
          </build>
          <properties>
            <argLine>${argLinePrepend} ${args}</argLine>
          </properties>
        </profile>
        <profile>
            <id>release</id>
            <activation>
                <property>
                    <name>release</name>
                </property>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <artifactId>maven-changes-plugin</artifactId>
                        <version>2.7.1</version>
                        <configuration>
                            <template>announcement.vm</template>
                            <statusId>RESOLVED,VERIFIED,CLOSED</statusId>
                            <subject>[ANNOUNCEMENT] - ${project.artifactId} ${project.version} release!</subject>
                            <resolutionId>FIXED</resolutionId>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
            <properties>
                <build.version>${project.version}</build.version>
            </properties>
        </profile>
        <profile>
            <id>stat-scm</id>
            <reporting>
                <plugins>
                    <plugin>
                        <groupId>net.sf</groupId>
                        <artifactId>stat-scm</artifactId>
                        <version>1.2.0</version>
                    </plugin>
                </plugins>
            </reporting>
        </profile>
        <profile>
            <id>releaseTest-profile</id>
            <activation>
                <property>
                    <name>performReleaseTest</name>
                    <value>true</value>
                </property>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <artifactId>maven-source-plugin</artifactId>
                        <version>2.1.2</version>
                        <executions>
                            <execution>
                                <phase>package</phase>
                                <goals>
                                    <goal>test-jar</goal>
                                </goals>
                            </execution>
                        </executions>
                    </plugin>
                    <plugin>
                        <artifactId>maven-jar-plugin</artifactId>
                        <executions>
                            <execution>
                                <phase>package</phase>
                                <goals>
                                    <goal>test-jar</goal>
                                </goals>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
    <repositories>
        <repository>
            <id>central</id>
            <name>Scytl Repository</name>
            <url>https://nexus.scytl.net/content/groups/public</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </snapshots>
        </repository>
        <repository>
            <id>snapshots</id>
            <name>Scytl Snapshots Repository</name>
            <url>https://nexus.scytl.net/content/repositories/snapshots</url>
            <releases>
                <enabled>false</enabled>
                <updatePolicy>never</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </snapshots>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <id>central</id>
            <name>Scytl Plugin Repository</name>
            <url>https://nexus.scytl.net/content/groups/public</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>
    <distributionManagement>
        <repository>
            <id>scytl-nexus</id>
            <name>Scytl Releases</name>
            <url>https://nexus.scytl.net/content/repositories/releases</url>
        </repository>
        <snapshotRepository>
            <id>scytl-nexus</id>
            <name>Scytl Snapshots</name>
            <url>https://nexus.scytl.net/content/repositories/snapshots</url>
            <!--<uniqueVersion>true</uniqueVersion>-->
        </snapshotRepository>
        <site>
            <id>1</id>
            <name>Scytl Distribution Repository</name>
            <url>dav:http://sauron.scytl.net/maven/reports/</url>
        </site>
    </distributionManagement>
    <prerequisites>
        <maven>3.0</maven>
    </prerequisites>
</project>
